Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.xquery.XPathException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StaticXQueryException, TerminatedException

public class XPathException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`XPathException(java.lang.String message)`
`XPathException(java.lang.String message, int line, int column)`
`XPathException(java.lang.String message, java.lang.Throwable cause)`
`XPathException(java.lang.Throwable cause)`
`XPathException(XQueryAST ast, java.lang.String message)`
`XPathException(XQueryAST ast, java.lang.String message, java.lang.Throwable cause)`

Method Summary
`void` | `addFunctionCall(UserDefinedFunction def, XQueryAST ast)`
`int` | `getColumn()`
`java.lang.String` | `getDetailMessage()` Returns just the error message, not including line numbers or the call stack.
`int` | `getLine()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessageAsHTML()`
`void` | `prependMessage(java.lang.String msg)`
`void` | `setASTNode(XQueryAST ast)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException(java.lang.String message)

Parameters:
  `message` -

### XPathException

    public XPathException(XQueryAST ast,
                          java.lang.String message)

### XPathException

    public XPathException(java.lang.String message,
                          int line,
                          int column)

### XPathException

    public XPathException(java.lang.Throwable cause)

Parameters:
  `cause` -

### XPathException

    public XPathException(java.lang.String message,
                          java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### XPathException

    public XPathException(XQueryAST ast,
                          java.lang.String message,
                          java.lang.Throwable cause)

Method Detail

### getLine

    public int getLine()

### getColumn

    public int getColumn()

### setASTNode

    public void setASTNode(XQueryAST ast)

### addFunctionCall

    public void addFunctionCall(UserDefinedFunction def,
                                XQueryAST ast)

### prependMessage

    public void prependMessage(java.lang.String msg)

### getMessage

    public java.lang.String getMessage()

### getDetailMessage

    public java.lang.String getDetailMessage()

  Returns just the error message, not including line numbers or the call stack.

  Returns:
    error message

### getMessageAsHTML

    public java.lang.String getMessageAsHTML()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.